Package net.shibboleth.idp.profile.context.navigate

# Class WebFlowCurrentEventLookupFunction

java.lang.Object
net.shibboleth.idp.profile.context.navigate.WebFlowCurrentEventLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,EventContext>`

public class WebFlowCurrentEventLookupFunction extends Object implements Function<ProfileRequestContext,EventContext>
A `Function` that checks for cases in which the webflow's current event is not reflected by an attached `EventContext` and compensates, along with returning a suitably populated context.

## Constructor Summary

Constructors
Constructor
Description
`WebFlowCurrentEventLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`EventContext`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### WebFlowCurrentEventLookupFunction

public WebFlowCurrentEventLookupFunction()

## Method Details

### apply

@Nullable public EventContext apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,EventContext>`